# Umbraco Properties

Umbraco Commerce uses Umbraco nodes as its source of information. In order for Umbraco Commerce to gather the information it needs, it requires that a number of properties are defined at different locations. These properties must have specific property aliases.

## Properties

<table><thead><tr><th width="189.89867841409693">Alias</th><th width="200">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>store</code></td><td>Umbraco.Commerce.StorePicker</td><td>Often placed on the site root node, but can be placed on any node higher<br>than the product nodes themselves, this property links the website to a<br>specific Umbraco Commerce store configuration.</td></tr><tr><td><code>productName</code></td><td>Textstring</td><td>Optional product node property that allows you to define an explicit<br>product name other than the product nodes <code>.Name</code> property,<br>which will be used as fallback.</td></tr><tr><td><code>sku</code></td><td>Textstring</td><td>Product node property defining the unique <code>SKU</code> of the<br>product.</td></tr><tr><td><code>price</code></td><td>Umbraco.Commerce.Price</td><td>Product node property defining the prices for the product.</td></tr><tr><td><code>stock</code></td><td>Umbraco.Commerce.Stock</td><td>Product node property defining the stock level of the product.</td></tr><tr><td><code>image</code></td><td>Umbraco.MediaPicker3</td><td>Optional product node property defining an image for the given product.</td></tr><tr><td><code>measurements</code></td><td>Umbraco.Commerce.Measurements</td><td>Optional (depending on the shipping configuration) node property defining physical dimensions and weight of the product.</td></tr><tr><td><code>taxClass</code></td><td>Umbraco.Commerce.StoreEntityPicker</td><td>Optional product node property that allows you to define an explicit<code>Tax Class</code> for the product, should it differ from the stores<br>default.</td></tr><tr><td><code>isGiftCard</code></td><td>True/False</td><td>Optional product node property that defined whether the product node<br>should be considered a Gift Card product, in which case it triggers the<br>automatic generation of a Gift Card in the backoffice and emails it<br>directly to the customer on checkout.</td></tr><tr><td><code>productSource</code></td><td>ContentPicker</td><td>Optional product node property allowing you to link a product to another<br>product outside of it's hierarchy to be used as it's source of product<br>information.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.umbraco.com/umbraco-commerce/13.latest/key-concepts/umbraco-properties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
